Foxit PDF SDK

Instance Methods | List of all members
FSParagraphEditingMgr Class Reference
Inheritance diagram for FSParagraphEditingMgr:

## Instance Methods
(FSJoinSplit *) | - getJoinSplit
| Get the join split object. More...
(FSParagraphEditing *) | - getParagraphEditing
| Get the paragraph edit object. More...
(id) | - initWithCallback:document:
| Constructor. More...
(id) | - initWithOther:
| Constructor, with another paragraph edit manager object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - setSystemDPI:vertical_dpi:
| Set the dpi for the paragraph editing provider used. More...

## Detailed Description

This class represents a paragraph editing manager used for editing PDF page.

User can call the function FSParagraphEditingMgr::getParagraphEditing to get current FSParagraphEditing object in the process of using edit page. User can call the function FSParagraphEditingMgr::getJoinSplit to get current FSJoinSplit object in the process of using edit page.

See also
  FSParagraphEditing
  FSJoinSplit

## Method Documentation

## ◆ getJoinSplit()

- (FSJoinSplit *) getJoinSplit |  |  |

Get the join split object.

Returns
  The FSJoinSplit object.

## ◆ getParagraphEditing()

- (FSParagraphEditing *) getParagraphEditing |  |  |

Get the paragraph edit object.

Returns
  The FSParagraphEditing object.

## ◆ initWithCallback:document:()

- (id) initWithCallback: |  | (id<FSParagraphEditingProviderCallback>) | callback
document: |  | (FSPDFDoc*) | document

Constructor.

Parameters

  [in] | callback | A valid paragraph editing provider callback object.
  [in] | document | A valid PDF document object.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSParagraphEditingMgr*) | other |

Constructor, with another paragraph edit manager object.

Parameters

  [in] | other | Another paragraph edit manager object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ setSystemDPI:vertical_dpi:()

- (void) setSystemDPI: |  | (float) | horizontal_dpi
vertical_dpi: |  | (float) | vertical_dpi

Set the dpi for the paragraph editing provider used.

Parameters

  [in] | horizontal_dpi | A horizontal dpi for paragraph editing provider. It should be greater than 0.Default Value:96.
  [in] | vertical_dpi | A vertical dpi for paragraph editing provider. It should be greater than 0. Default Value:96.

Returns
  None.